/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface CardCustomProps {
    shape?: "rounded" | "curved";
    shadow?: "mild" | "soft" | "hard";
}
export declare type CardElementType = HTMLDivElement;
export declare type CardProps = CommonAndHTMLProps<CardElementType> & CardCustomProps;
export declare const Card: ({ shadow, shape, ...props }: CardProps) => JSX.Element;
