/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
export interface FormWrapperCustomProps {
    spacing?: "none" | "fixed" | "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type FormWrapperElementType = HTMLFormElement;
export declare type FormWrapperProps = CommonAndHTMLProps<FormWrapperElementType> & FormWrapperCustomProps;
export declare const FormWrapper: {
    ({ spacing, ...props }: FormWrapperProps): JSX.Element;
    defaultProps: {
        spacing: string;
    };
};
