/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
export declare type SelectElementType = HTMLSelectElement;
export declare type OptionElementType = HTMLOptionElement;
interface SelectCustomProps {
    options: CommonAndHTMLProps<OptionElementType>[];
    isFullWidth?: boolean;
    label?: string;
    helpText?: string;
    errorText?: string;
}
export declare type OptionProps = CommonAndHTMLProps<SelectElementType>;
export declare type SelectProps = CommonAndHTMLProps<SelectElementType> & SelectCustomProps;
export declare const Select: ({ label, helpText, errorText, isFullWidth, className, options, ...props }: SelectProps) => JSX.Element;
export {};
