/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface ProgressBarCustomProps {
    isThin?: boolean;
    barBg?: string;
    barFill?: string;
    unit?: string;
}
export declare type ProgressBarElementType = HTMLProgressElement;
export declare type ProgressBarProps = CommonAndHTMLProps<ProgressBarElementType> & ProgressBarCustomProps;
export declare type ProgressBarMetaProps = CommonAndHTMLProps<HTMLDivElement> & ProgressBarCustomProps;
export declare const ProgressBar: ({ label, value, isThin, ...props }: ProgressBarProps) => JSX.Element;
