/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
export interface SidebarItemIconCustomProps {
    iconType?: "stroked" | "filled";
}
export declare type SidebarItemIconElementType = HTMLDivElement;
export declare type SidebarItemIconProps = CommonAndHTMLProps<SidebarItemIconElementType> & SidebarItemIconCustomProps;
export declare const SidebarItemIcon: ({ iconType, ...props }: SidebarItemIconProps) => JSX.Element;
