/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
export interface SidebarItemTextCustomProps {
    linkText: string;
    weight?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900";
    size?: "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type SidebarItemTextElementType = HTMLParagraphElement;
export declare type SidebarItemTextProps = CommonAndHTMLProps<SidebarItemTextElementType> & SidebarItemTextCustomProps;
export declare const SidebarItemText: ({ linkText, weight, size, ...props }: SidebarItemTextProps) => JSX.Element;
