/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
export interface InputLabelCustomProps {
    label?: string;
    helpText?: string;
    errorText?: string;
    htmlFor?: string;
}
export declare type InputLabelElementType = HTMLLabelElement;
export declare type InputLabelProps = CommonAndHTMLProps<InputLabelElementType> & InputLabelCustomProps;
export declare const InputLabel: ({ label, helpText, errorText, ...props }: InputLabelProps) => JSX.Element;
