/// <reference types="react" />
import { CommonAndHTMLProps } from "../../Element/constants";
import { InputCommonProps } from "../BaseInputComponent/constants";
import { InputLabelProps } from "../InputLabel/InputLabel";
export declare type TextareaElementType = HTMLTextAreaElement;
export declare type TextareaProps = CommonAndHTMLProps<TextareaElementType> & InputLabelProps & InputCommonProps;
export declare const Textarea: (props: TextareaProps) => JSX.Element;
