/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface HRCustomProps {
    sideMargin?: "tiny" | "small" | "medium" | "large" | "huge";
}
export declare type HRElementType = HTMLHRElement;
export declare type HRProps = CommonAndHTMLProps<HRElementType> & HRCustomProps;
export declare const HRule: ({ sideMargin, ...props }: HRProps) => JSX.Element;
