/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface InfoPanelCustomProps {
    width?: "tiny" | "small" | "medium" | "large" | "huge";
    isOpen?: boolean;
    onCloseCallback?: () => void;
}
export declare type InfoPanelElementType = HTMLDivElement;
export declare type InfoPanelProps = CommonAndHTMLProps<InfoPanelElementType> & InfoPanelCustomProps;
export declare const InfoPanel: ({ width, isOpen, children, onCloseCallback, ...props }: InfoPanelProps) => JSX.Element;
