/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface PortionCustomProps {
    desktopSpan?: string;
    tabPTSpan?: string;
    tabLSSpan?: string;
    mobileSpan?: string;
    isHorizontal?: boolean;
}
export declare type PortionElementType = HTMLDivElement;
export declare type PortionProps = CommonAndHTMLProps<PortionElementType> & PortionCustomProps;
export declare const Portion: ({ desktopSpan, mobileSpan, tabLSSpan, tabPTSpan, isHorizontal, ...props }: PortionProps) => JSX.Element;
