/// <reference types="react" />
import { CommonAndHTMLProps } from "../Element/constants";
export interface RowCustomProps {
    sidePadding?: "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    gutters?: "none" | "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    retainLayoutOnTabLS?: boolean;
    retainLayoutOnTabPT?: boolean;
    retainLayoutOnMobile?: boolean;
    retainLayoutAlways?: boolean;
}
export declare type RowElementType = HTMLDivElement;
export declare type RowProps = CommonAndHTMLProps<RowElementType> & RowCustomProps;
export declare const Row: {
    ({ sidePadding, gutters, retainLayoutOnTabLS, retainLayoutOnTabPT, retainLayoutOnMobile, retainLayoutAlways, ...props }: RowProps): JSX.Element;
    defaultProps: {
        gutters: string;
    };
};
